function z = ann_d_log_activ(y)
// This file is part of:
//   ANN Toolbox for Scilab
// Copyright (C) Ryurick M. Hristev
// released under GNU Public licence version 2

// calculates the derivative of logistic activation function,
//   given the actual value of the function

// see ANN_GEN (.man or .cat) for details

z = y .* (1 - y);
